services:
  portainer_agent:
    container_name: portainer_agent
    entrypoint:
    - ./agent
    environment:
      PATH: /app:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    image: portainer/agent:latest
    networks:
    - bridge
    ports:
    - 9001:9001/tcp
    privileged: true
    restart: always
    security_opt:
    - label=disable
    volumes:
    - /var/lib/docker/volumes:/var/lib/docker/volumes
    - /var/run/docker.sock:/var/run/docker.sock
    working_dir: /app
